Page MenuHomePhabricator

Add editors per country data to AQS API (geoeditors)
Closed, ResolvedPublic13 Estimated Story Points

Description

The editors per country data is public now in files released monthly. We will let this data bake for a a bit and we will later add it to AQS so it can be plotted by wikistats.

Event Timeline

Nuria created this task.Nov 14 2019, 7:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2019, 7:46 PM
Ottomata triaged this task as Medium priority.Nov 18 2019, 4:43 PM
Ottomata moved this task from Incoming to Analytics Query Service on the Analytics board.
Nuria assigned this task to lexnasser.Dec 20 2019, 5:43 PM
Nuria added a project: Analytics-Kanban.
Nuria set the point value for this task to 13.
Nuria renamed this task from Add editors per country data to AQS API to Add editors per country data to AQS API (geoeditors).Feb 7 2020, 7:22 PM

Change 593660 had a related patch set uploaded (by Lex Nasser; owner: Lex Nasser):
[analytics/aqs@master] Add editors by country data to AQS

https://gerrit.wikimedia.org/r/593660

lexnasser reassigned this task from lexnasser to Milimetric.May 1 2020, 3:14 AM
lexnasser added a subscriber: lexnasser.

Handing the remainder of this task off to Dan.

The jobs for which this endpoint relies are tentatively complete.

Nuria moved this task from Next Up to Parent Tasks on the Analytics-Kanban board.May 14 2020, 2:56 PM
Nuria moved this task from Parent Tasks to Paused on the Analytics-Kanban board.
Milimetric moved this task from Paused to Next Up on the Analytics-Kanban board.Jun 8 2020, 4:36 PM
Nuria reassigned this task from Milimetric to mforns.Jul 13 2020, 4:34 PM
Nuria added a subscriber: Milimetric.
LGoto moved this task from Triage to Tracking on the Product-Analytics board.Jul 28 2020, 5:24 PM

Change 593660 merged by jenkins-bot:
[analytics/aqs@master] Add editors by country data to AQS

https://gerrit.wikimedia.org/r/593660

Change 624743 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/refinery@master] Fix typo in cassandra fields

https://gerrit.wikimedia.org/r/624743

Change 624743 merged by Milimetric:
[analytics/refinery@master] Fix typo in cassandra fields

https://gerrit.wikimedia.org/r/624743

Nuria added a comment.Fri, Sep 4, 11:40 PM

the typo means we need to backfill correct?

quick status update (tl;dr; we can announce it Monday):

  • data loaded from 2018-01 to 2020-08, using Joseph's new ordering technique (descending order from most editors to fewest and alphabetical after that, makes the output much easier to read)
  • I had a typo in the public endpoint definition, Marcel corrected and Petr merged the PR, it will be deployed Monday
  • I reviewed Marcel's documentation and it looks great to me
Nuria moved this task from Done to Ready to Deploy on the Analytics-Kanban board.Thu, Sep 17, 12:13 AM

From: https://wikimedia.org/api/rest_v1/metrics/editors/ it does not look like the "by-country" endpoint is up

This is solved now, right?

Nuria closed this task as Resolved.Fri, Sep 18, 6:55 PM